// Main invocation loop
while (true) {
	const invocation = await codea.recv();
	
	// Update the graphics receiver
	gfxReceiverId = invocation.gfxId;
	
	let result;
	try {
		const fn = await webR.evalR(invocation.fn);
		result = await fn(...invocation.args);
	} catch(e) {
		error(e.message);
	}
	
	// Restructure the result into an object suitable for Codea
	const tresult = transferableResult(result);
	
	codea.send({
		data: tresult,
		id: invocation.id
	});
}